//---------------------------------------------------------------------------
#ifndef DS18B20H
#define DS18B20H
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
// структура содержащая выходные данные после отправки или приёма
struct  DS18B20_OUTPUT_DATA{    unsigned char Test;             // проверочный байт
                                bool Success;};                 // признак успеха операции чтения

DS18B20_OUTPUT_DATA DS18B20_WriteToScratchpad();                // запись данных в Scratchpad (0x4E) (только из области 1)
DS18B20_OUTPUT_DATA DS18B20_ReadFromScratchpad();               // чтение данных из Scratchpad (0xBE) (только в область 1)
DS18B20_OUTPUT_DATA DS18B20_CopyScratchpadToMemory();           // копирование данных из Scratchpad в EEPROM (0x48)
DS18B20_OUTPUT_DATA DS18B20_RecallE2();                         // копирование TH, TL и Config из EEPROM в блокнот (0xB8)
DS18B20_OUTPUT_DATA DS18B20_ReadPowerSupply();                  // чтение состояния линии Power (0xB4)
DS18B20_OUTPUT_DATA DS18B20_ConvertT();                         // запуск преобразования (0x44)
float DS18B20_DecodeTemperature();                              // преобразование двух байт блокнота в температуру
void DS18B20_DecodeConfigAndThresholds();                       // расшифровка байта конфигурации и установленных порогов и выдача мессаджей
//---------------------------------------------------------------------------
#endif
 